Bug 239860 - net/relayd: fix build if SSL_DEFAULT is libressl
Summary: net/relayd: fix build if SSL_DEFAULT is libressl
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-08-14 17:48 UTC by Nikola Kolev
Modified: 2019-12-16 08:27 UTC (History)
3 users (show)

See Also:


Attachments
relayd libressl default patch (673 bytes, text/plain)
2019-08-14 17:48 UTC, Nikola Kolev
koue: maintainer-approval+
Details
Makefile patch (641 bytes, patch)
2019-12-16 06:54 UTC, Franco Fichtner
franco: maintainer-approval?
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Nikola Kolev 2019-08-14 17:48:49 UTC
Created attachment 206548 [details]
relayd libressl default patch

Currently if 'DEFAULT_VERSIONS += ssl=libressl' is configured in /etc/make.conf 'net/relayd' compilation is broken because it's not able to find the proper header files. The fix is in the patch. Poudriere logs look OK.

Thanks to Justin Noor for reporting the issue.
Comment 1 Koichiro Iwao freebsd_committer 2019-11-03 06:47:27 UTC
If you want to include SSL headers, ${OPENSSLINC} might be better.
Comment 2 Franco Fichtner 2019-12-16 06:54:00 UTC
Created attachment 209991 [details]
Makefile patch

Hi,

Attached is a different patch for the Makefile.  The issue only exists on FreeBSD 12 where OpenSSL 1.1.1 is installed in base.

Please commit any appropriate patch to avoid further multiple-works-no-gain scenarios.


Cheers,
Franco
Comment 3 Kurt Jaeger freebsd_committer 2019-12-16 08:20:29 UTC
testbuild@work with patch from franco
Comment 4 Kurt Jaeger freebsd_committer 2019-12-16 08:27:09 UTC
Committed, thanks!
Comment 5 commit-hook freebsd_committer 2019-12-16 08:27:45 UTC
A commit references this bug:

Author: pi
Date: Mon Dec 16 08:27:07 UTC 2019
New revision: 520231
URL: https://svnweb.freebsd.org/changeset/ports/520231

Log:
  net/relayd: fix build if SSL_DEFAULT is libressl

  PR:		239860
  Submitted by:	koue@chaosophia.net (maintainer), franco@opnsense.org

Changes:
  head/net/relayd/Makefile